Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612679 - kernel SPEC file requires an urgent update to ensure ordering of /sbin/weak-modules calls
kernel SPEC file requires an urgent update to ensure ordering of /sbin/weak-m...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
urgent Severity medium
: rc
: 6.0
Assigned To: Jon Masters
Chao Yang
:
Depends On:
Blocks: 253443 503551
  Show dependency treegraph
 
Reported: 2010-07-08 14:40 EDT by Jon Masters
Modified: 2010-11-10 15:56 EST (History)
10 users (show)

See Also:
Fixed In Version: kernel-2.6.32-52.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 15:56:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
call /sbin/weak/modules in posttrans (1.47 KB, patch)
2010-07-09 03:33 EDT, Jon Masters
no flags Details | Diff

  None (edit)
Description Jon Masters 2010-07-08 14:40:12 EDT
Description of problem:

The fix for 528063 (which was initially not correct back in March) introduced an ordering change in the kernel SPEC file and lead to bugs like 610813. It also resulted in the creation of initramfs's *AFTER* the kernel install transaction, in order to ensure that the installation of other components in separate transactions would be available, for example, to pull in firmware dependencies and other pieces that might not be installed within the same install-time yum transaction. To complete the fix, it is necessary to ensure that we call /sbin/weak-modules *after* we have called new-kernel-pkg.

We will need to fix this urgently.

Jon.
Comment 5 Jon Masters 2010-07-09 03:33:51 EDT
Created attachment 430549 [details]
call /sbin/weak/modules in posttrans
Comment 7 Aristeu Rozanski 2010-07-26 10:59:28 EDT
Patch(es) available on kernel-2.6.32-52.el6
Comment 13 Marizol Martinez 2010-10-06 15:27:00 EDT
My understanding is that Dell has verified this item. Setting 'Verified' field.
Comment 14 Jon Masters 2010-10-08 07:03:33 EDT
Thanks
Comment 15 releng-rhel@redhat.com 2010-11-10 15:56:11 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.